use Devel::CheckLib;

my $defines   = '';
my $libraries = '';

if (check_lib(lib => 'ssl')) {
  $defines   = "$defines -DGIT_SSL";
  $libraries = "$libraries -lssl -lcrypto";
  print "SSL support enabled\n";
}

chdir('xs/libgit2');
system('make', '-f', 'Makefile.embed', "EXTRA_CFLAGS=$defines");
chdir('../..');

# This Makefile.PL for  was generated by Dist::Zilla.
# Don't edit it but the dist.ini used to construct it.

use strict;
use warnings;
use ExtUtils::MakeMaker 6.30;

my %WriteMakefileArgs = (
  'ABSTRACT' => 'Perl bindings to the Git linkable library (libgit2)',
  'AUTHOR' => 'Alessandro Ghedini <alexbio@cpan.org>',
  'BUILD_REQUIRES' => {
    'Capture::Tiny' => '0',
    'Cwd' => '0',
    'File::Find' => '0',
    'File::Slurp' => '0',
    'File::Temp' => '0',
    'Test::More' => '0'
  },
  'CONFIGURE_REQUIRES' => {
    'Devel::CheckLib' => '0',
    'ExtUtils::MakeMaker' => '6.30'
  },
  'DISTNAME' => 'Git-Raw',
  'EXE_FILES' => [],
  'INC' => '-I. -Ixs/libgit2/include',
  'LICENSE' => 'perl',
  'NAME' => 'Git::Raw',
  'OBJECT' => '$(O_FILES) xs/libgit2/libgit2.a',
  'PREREQ_PM' => {
    'XSLoader' => '0',
    'strict' => '0',
    'warnings' => '0'
  },
  'VERSION' => '0.18',
  'test' => {
    'TESTS' => 't/*.t'
  }
);


$WriteMakefileArgs{LIBS} = $libraries;

unless ( eval { ExtUtils::MakeMaker->VERSION(6.56) } ) {
  my $br = delete $WriteMakefileArgs{BUILD_REQUIRES};
  my $pp = $WriteMakefileArgs{PREREQ_PM};
  for my $mod ( keys %$br ) {
    if ( exists $pp->{$mod} ) {
      $pp->{$mod} = $br->{$mod} if $br->{$mod} > $pp->{$mod};
    }
    else {
      $pp->{$mod} = $br->{$mod};
    }
  }
}

delete $WriteMakefileArgs{CONFIGURE_REQUIRES}
  unless eval { ExtUtils::MakeMaker->VERSION(6.52) };

WriteMakefile(%WriteMakefileArgs);

